Subject: FW: Long running transaction information
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 22 May 2001 08:54:21 -0700 (PDT)

Hey Guys,
FYI - Matt Pena from the Unify team has created a fix for the Nigas nomination issue.  Cora will test this afternoon and if everything looks good we will place the fix into production.  As of this morning we are still expeciencing the same problem with the Unify system taking 45 minutes to creat a nomination.  Cora is in communication with Nigas and has kept them abreast of the situation.
Lisa  

-----Original Message-----
From: Pena, Matt 
Sent: Tuesday, May 22, 2001 10:21 AM
To: Pendergrass, Cora; Superty, Robert; Kinsey, Lisa
Cc: Pinion, Richard
Subject: RE: Long running transaction information

Let me know what works best for you and we'll do it.  Any time....

-----Original Message-----
From: Pendergrass, Cora 
Sent: Tuesday, May 22, 2001 10:20 AM
To: Superty, Robert; Kinsey, Lisa
Cc: Pena, Matt; Pinion, Richard
Subject: RE: Long running transaction information

I would like to sit with Matt today and test Nigas.  I am currently trying to create a nomination for a cut we received yesterday and have been waiting approximately 30 minutes right now.  

I did speak with Judy at Nigas this morning and told her we were making every attempt to get this situation corrected as quickly as possible and she was very appreciative of that.  However, my concern is that due to the number of system problems we have had it makes it very difficult for Judy to be open to helping us out when we need a favor because she is having to deal with this on a daily basis.  

Thanks

Cora
-----Original Message-----
From: Superty, Robert 
Sent: Tuesday, May 22, 2001 10:11 AM
To: Kinsey, Lisa
Cc: Pena, Matt; Pinion, Richard; Pendergrass, Cora
Subject: FW: Long running transaction information

Lisa, please have someone test this today so we can move into production. My concern is immediate based on what happened last week. As a follow-up we need to review Cora's ideas and see where they fit and decide what additional changes we will need. Just a reminder we are still in a code freeze so if these immediate changes work lets get them in and then we can revisit Cora's ideas once we are stable with SQL.

Bob

-----Original Message-----
From: Pena, Matt 
Sent: Tuesday, May 22, 2001 10:00 AM
To: Pendergrass, Cora; White, Jessica; Kinsey, Lisa
Cc: Melethil, Anwar; Sengupta, Jayanta; Superty, Robert; Greif, Donna;
Nguyen, Ben; Mallary, William; Ripley, Brian; Superty, Robert; Wynne,
Rita; Baxter, Bryce; Dawes, Cheryl; Heal, Kevin; Pinion, Richard;
Lamadrid, Victor; Sullivan, Patti; Mims, Patrice L.
Subject: RE: Long running transaction information

Ben has tuned the process quite a bit.  We're planning on moving it to production tomorrow.

I need someone who runs Nigas to come down today and test.  I need approval from Lisa to move this in.  We've done testing and we're confident it will work, but I want user sign off.  I realize this is difficult because you're busy, but if we could spare someone's time (about 1 hour) to come down and run the new code, we'd be more comfortable.  I've talked with Jessica and she is willing to test, but does not have access to Stage on her desktop.

Let me know.... you can always come down.

We could also look at this as a possible enhancement later on.  

-----Original Message-----
From: Pendergrass, Cora 
Sent: Tuesday, May 22, 2001 9:54 AM
To: Greif, Donna; Pena, Matt; Nguyen, Ben; Mallary, William; Ripley,
Brian; Superty, Robert; Wynne, Rita; Baxter, Bryce; Dawes, Cheryl; Heal,
Kevin; White, Jessica; Pinion, Richard; Kinsey, Lisa; Lamadrid, Victor;
Sullivan, Patti; Mims, Patrice L.
Cc: Melethil, Anwar; Sengupta, Jayanta
Subject: RE: Long running transaction information

Donna,

As far as the Nigas meltdown on creating nominations, could we make an option on the create screen to choose a specific meter to create noms?  For example:  Nominations on Gas Exchange (Nicor's system) are all pooled by meter i.e. 3 = NGPL, 7 = Alliance, 6 = NBPL.  Every deal for every meter is pathed into or out of the POOLNICOR.  When we create nominations it creates a file that shows each meter as a separate pool and creates a nom for each pool and we transmit that flat file to Nigas.  If on the create screen we had an option to create ALL pools or specific pools that might help getting the nominations across a little faster.  They may finish up on one meter faster than they do on others.  Also, it would help when we have to resubmit because typically it is only one meter we are resubmitting and as it is now we have to create noms for all meters again.    

Thanks

Cora

-----Original Message-----
From: Greif, Donna 
Sent: Thursday, May 17, 2001 12:56 PM
To: Pena, Matt; Nguyen, Ben; Mallary, William; Ripley, Brian; Superty,
Robert; Wynne, Rita; Baxter, Bryce; Dawes, Cheryl; Heal, Kevin; White,
Jessica; Pendergrass, Cora; Pinion, Richard; Kinsey, Lisa; Lamadrid,
Victor; Sullivan, Patti; Mims, Patrice L.
Cc: Melethil, Anwar; Sengupta, Jayanta
Subject: RE: Long running transaction information

Matt,

Any ideas on a long term solution.  Or do you think we should
reboot the server every night until a long term solution is found....or could you tell me how long will this reboot help minimize the problem?

This issues is not only causing the system to slow down...Logistics had asked traders to suspend trading so they could "attempt" to get their noms out timely.  Today, this issue impacted Transco's nominations too (not sure of any other late noms it may have caused).

Just an addition note:  Some of these LDCs (specifically NIGAS) will not, under any circumstance, accept late nominations.  It is critical we find a solution to this problem quickly!

Appreciate your help!

dg

-----Original Message-----
From: Pena, Matt 
Sent: Thursday, May 17, 2001 11:54 AM
To: Nguyen, Ben; Mallary, William; Ripley, Brian; Superty, Robert;
Wynne, Rita; Baxter, Bryce; Dawes, Cheryl; Heal, Kevin; White, Jessica;
Pendergrass, Cora; Greif, Donna; Pinion, Richard
Cc: Melethil, Anwar; Sengupta, Jayanta
Subject: RE: Long running transaction information

In Gas Production, we know what has caused temp_db to fill up the past two days around the 11:30 timeframe.  It's the procedure below which is called when we generate a NIGAS nomination.  Jessica has indicated that it's been running longer lately.  As a short term solution, we're asking to reboot the server tonight to allocate more disk space to temp_db.  

To do this, I need you to verify with your groups that it's okay to take the Gas Production tonight for about 30 minutes starting at 7:00 PM.  Is this okay?  Please let me know before the end of the day.  I'm having a developer from my team look into this procedure immendiately.

Ben, can you please look into this?

-----Original Message-----
From: Mallary, William 
Sent: Wednesday, May 16, 2001 11:18 AM
To: Pena, Matt
Subject: Long running transaction information

LONG RUNNING TRANSACTION INFO. ...SPID=425, DBNAME=tempdb, LOGIN_NAME=jwhite6, TRAN_STARTTIME=May 16 2001 10:57AM, STATUS=running, HOSTNAME=Unify, PROGRAM_NAME=PMGTF400, OBJECT_EXEd=nom_rpt_nig_pt_sp, STATEMENT#=53, LINE#=419, CPU=89, PHYSCL_IO=537